package com.three19.todolist;

import android.content.Intent;
import android.content.SharedPreferences;
import android.preference.PreferenceManager;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.Button;
import android.widget.ListView;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;


public class AllTasksActivity extends AppCompatActivity {

    List< ToDo > arrayList;
    ToDoListAdapter adapter;
    Integer lastKeyID = 0;

    @Override
    protected void onCreate(Bundle savedInstanceState) {

            super.onCreate(savedInstanceState);
            setContentView(R.layout.activity_all_tasks);

            setTitle("All Tasks");

           // get the shared preferences data and put in arrayList

            final SharedPreferences preferences = PreferenceManager.getDefaultSharedPreferences(this);
            Map<String, ?> allSharedPreferences = preferences.getAll();
            arrayList = new ArrayList<ToDo>();

           for (Map.Entry<String, ?> entry : allSharedPreferences.entrySet()) {
            ToDo toDo = new ToDo();
            toDo.id = Integer.parseInt(entry.getKey());
            toDo.name = entry.getValue().toString();

            arrayList.add(toDo);
            lastKeyID = toDo.id;
        }

            ToDoListAdapter adapter = new ToDoListAdapter(this, (ArrayList<ToDo>) arrayList);

            ListView listView = (ListView) findViewById(R.id.lstView);
            listView.setAdapter(adapter);

            Button backBtn = (Button) findViewById(R.id.btnBack);
            backBtn.setOnClickListener(new View.OnClickListener() {
                public void onClick(View v) {
                    Intent intent = new Intent(getBaseContext(), MainActivity.class);
                    startActivity(intent);
                }
            });
    }
}
